INTERFACE
SUBROUTINE m7_nucl_ku&
 & ( KIDIA , KFDIA , KLON , KLEV,&
 & pso4g , ptp1 , prelhum ,&
 & pbnrate, palpha, pbeta ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: pso4g(klon ,klev), ptp1(klon ,klev), prelhum(klon ,klev)
REAL(KIND=JPRB),INTENT(OUT) :: pbnrate(klon ,klev), palpha(klon ,klev), pbeta(klon ,klev)
END SUBROUTINE m7_nucl_ku
END INTERFACE
